System.Design 1.0.5000.0 2.0.0.0 System.Windows.Forms.Design.ControlDesigner

provides a base class for designers of controls that can contain child controls. In addition to the methods and functionality inherited from the and classes, enables child controls to be added to, removed from, selected within, and arranged within the control whose behavior it extends at design time.

You can associate a designer with a type using a . For an overview of customizing design time behavior, see Extending Design-Time Support.

Extends the design mode behavior of a that supports nested controls.

- Constructor
  To be added.

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.Void `` To be added. To be added. To be added.
- Property
  2.0.0.0
  System.Boolean To be added.

  The method is called after the user selects a toolbox item that has a associated with it. It draws a reversible rectangle on a designer's surface.

  Gets a value indicating whether selected controls will be re-parented.

- Property
  2.0.0.0
  System.Boolean To be added. To be added.

  Gets a value indicating whether a generic drag box should be drawn when dragging a toolbox item over the designer's surface.

- Property
  2.0.0.0
  System.Boolean To be added.

  By default the z-order of dragged controls is maintained when dropped on a .

  Gets a value indicating whether the z-order of dragged controls should be maintained when dropped on a .

- Method
  System.Boolean ``

  This method indicates whether the control managed by the designer can parent the specified .

  Indicates whether the specified control can be a child of the control managed by this designer.

  true if the specified control can be a child of the control managed by this designer; otherwise, false.

  The to test. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` To be added.

  This method indicates whether the control managed by this designer can parent the control of the specified .

  Indicates whether the control managed by the specified designer can be a child of the control managed by this designer.

  true if the control managed by the specified designer can be a child of the control managed by this designer; otherwise, false.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void ``

  The new component or control is positioned at the center of the currently selected control. This method uses the default size for the tool, if the tool has a default size specified.

  To specify a location or location and size for the component or control, use one of the other overloaded methods.

  Creates a component or control from the specified tool and adds it to the current design document.

  The to create a component from. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  The new component or control is positioned around the location specified by the parameter. This method uses the default size for the tool's component, if the component has a default size.

  To specify a location and size for the component or control, use the appropriate overloaded method.

  Creates a component or control from the specified tool and adds it to the current design document at the specified location.

  The to create a component from. The , in design-time view screen coordinates, at which to center the component. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  The new component or control is positioned with its upper left corner at the location specified by the and values of the parameter. The size of the new component or control will be set to the values specified by the and properties of the parameter.

  Creates a component or control from the specified tool and adds it to the current design document within the bounds of the specified rectangle.

  The to create a component from. A indicating the location and size for the component created from the tool. The and values of the indicate the design-time view screen coordinates of the upper-left corner of the component. 1.0.5000.0 2.0.0.0
- Method
  System.ComponentModel.IComponent[] `` `` `` `` `` `` ``

  This is the only method that can be overridden.

  Provides core functionality for all the methods.

  An array of components created from the tool.

  The to create a component from. The horizontal position, in design-time view coordinates, of the location of the left edge of the tool, if a size is specified; the horizontal position of the center of the tool, if no size is specified. The vertical position, in design-time view coordinates, of the location of the top edge of the tool, if a size is specified; the vertical position of the center of the tool, if no size is specified. The width of the tool. This parameter is ignored if the parameter is set to false. The height of the tool. This parameter is ignored if the parameter is set to false. true if a location for the component is specified; false if the component is to be positioned in the center of the currently selected control. true if a size for the component is specified; false if the default height and width values for the component are to be used. 1.0.5000.0 2.0.0.0
- Property
  System.Drawing.Point To be added.

  The default location is usually (0,0). The default location is typically changed if the container has special borders, or for other reasons.

  Gets the default location for a control added to the designer.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void ``

  This method is called by the public Dispose() method and the method. Dispose() invokes the protected Dispose(Boolean) method with the parameter set to true. invokes Dispose with set to false.

  When the parameter is true, this method releases all resources held by any managed objects that this references. This method invokes the Dispose() method of each referenced object.

  Releases the unmanaged resources used by the , and optionally releases the managed resources.

  true to release both managed and unmanaged resources; false to release only unmanaged resources. 1.0.5000.0 2.0.0.0
- Property
  System.Boolean To be added. To be added.

  Gets or sets a value indicating whether a grid should be drawn on the control for this designer.

  1.0.5000.0
  2.0.0.0
- Property
  System.Boolean To be added. To be added.

  Gets a value indicating whether drag rectangles are drawn by the designer.

  1.0.5000.0
  2.0.0.0
- Method
  System.Windows.Forms.Control `` To be added.

  Gets the control from the designer of the specified component.

  The that the specified component belongs to.

  The component to retrieve the control for. 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Windows.Forms.Design.Behavior.ControlBodyGlyph ``

  The body glyph is responsible for hit testing the control's designer and forwarding messages directly to the designer.

  Gets a body glyph that represents the bounds of the control.

  A body glyph that represents the bounds of the control.

  A value that specifies the selection state.
- Method
  2.0.0.0
  System.Windows.Forms.Design.Behavior.GlyphCollection ``

  The method adds a container selector to the selection glyphs collection.

  Gets a collection of objects representing the selection borders and grab handles for a standard control.

  A collection of objects.

  A value that specifies the selection state.
- Method
  2.0.0.0
  System.Windows.Forms.Control `` To be added.

  Used by deriving classes to determine if it returns the control being designed or some other while adding a component to it.

  The parent for the component.

  The component for which to retrieve the parent .
- Method
  System.Drawing.Rectangle `` `` ``

  This method aligns the specified rectangle to the grid if grid alignment is enabled.

  Updates the position of the specified rectangle, adjusting it for grid alignment if grid alignment mode is enabled.

  A rectangle indicating the position of the component in design-time view screen coordinates. If no changes have been made, this method returns the original rectangle.

  A indicating the initial position of the component being updated. A indicating the new position of the component. true to update the size of the rectangle, if there has been any change; otherwise, false. 2.0.0.0
- Property
  System.Drawing.Size To be added. To be added.

  Gets or sets the size of each square of the grid that is drawn when the designer is in grid draw mode.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void ``

  This method is called to initialize the designer with the specified primary component.

  Initializes the designer with the specified component.

  The to associate with the designer. 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Void `` To be added. To be added. A name/value dictionary of default values to apply to properties. May be null if no default values are specified.
- Method
  System.Void `` `` To be added.

  Creates a tool from the specified .

  The that the tool is to be used with. The to create a tool from. 1.0.5000.0 2.0.0.0
- Property
  2.0.0.0
  System.Drawing.Design.ToolboxItem To be added. To be added.

  Gets a value indicating whether the designer has a valid tool during a drag operation.

- Method
  2.0.0.0
  System.Void ``

  is used to clean up any operations that were performed at the beginning of a drag-and-drop operation.

  Called in order to clean up a drag-and-drop operation.

  A that provides data for the event.
- Method
  System.Void `` To be added.

  This method checks any parent control for a drag-and-drop handler that can handle the operation instead. If one exists, this method passes the to the method and returns. If no parent drag-and-drop handler exists, this method attempts to create a tool if a toolbox item has been dropped on the designer control.

  Called when a drag-and-drop object is dropped onto the control designer view.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` To be added. To be added.

  Called when a drag-and-drop operation enters the control designer view.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` To be added.

  Called when a drag-and-drop operation leaves the control designer view.

  An that provides data for the event. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added. To be added.

  Called when a drag-and-drop object is dragged over the control designer view.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` ``

  This method is called in response to the left mouse button being pressed on a component. The designer overrides the base form of this method to provide a "lasso" selection mechanism for components within the control.

  You can pass a point in screen coordinates to the method of the class to obtain the coordinates of the point relative to the upper-left corner of the control.

  Called in response to the left mouse button being pressed and held while over the component.

  The x-coordinate of the mouse in screen coordinates. The y-coordinate of the mouse in screen coordinates. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  This method is called at the end of a drag operation. This method either commits to or cancels the drag operation.

  Called at the end of a drag-and-drop operation to complete or cancel the operation.

  true to cancel the drag operation; false to commit it. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  This method is called at the start of a drag-and-drop operation.

  You can pass a point in screen coordinates to the method of the class to obtain the coordinates of the point relative to the upper-left corner of the control.

  Called for each movement of the mouse during a drag-and-drop operation.

  The x-coordinate of the mouse in screen coordinates. The y-coordinate of the mouse in screen coordinates. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added.

  Called when the control that the designer is managing has painted its surface so the designer can paint any additional adornments on top of the control.

  A that provides data for the event. 1.0.5000.0 2.0.0.0
- Method
  System.Void

  This method sets the mouse cursor according to the following rules: If the toolbox service has a tool selected, it allows the toolbox service to set the cursor. Otherwise, the mouse cursor is set to the default mouse cursor.

  Provides an opportunity to change the current mouse cursor.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void ``

  This interface method override adds a set of properties to this designer's control that allow a user to set options related to the grid display and child control alignment. This method adds the following browsable properties: DrawGrid, SnapToGrid, and GridSize.

  Adjusts the set of properties the component will expose through a .

  An that contains the properties for the class of the component. 1.0.5000.0 2.0.0.0
- Property
  2.0.0.0
  System.Collections.IList To be added. To be added.

  Gets a list of objects representing significant alignment points for this control.